# Generated from geodesics-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name geodesics

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: geodesics calculates the geodesic distance between 2 points with latitude and longitude on ellipsoid Earth using Lambert's formula
License: MIT
URL: https://github.com/tonytonyjan/geodesics
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.11.3
# BuildRequires: rubygem(minitest) < 5.12
# BuildRequires: rubygem(rubocop) >= 0.68.1
# BuildRequires: rubygem(rubocop) < 0.69
BuildArch: noarch

%description
geodesics calculates the geodesic distance between 2 points with latitude and
longitude on ellipsoid Earth using Lambert's formula.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.0-1
- Initial package
